/**
 * API for generating n-step counter
 * 
 * @file ncnt.h
 * @author Lukas Vykydal
 */

#include <stdio.h>
#include <tcl.h>
#include "lfsr.h"

#ifndef __NCNT_H__
#define __NCNT_H__

void Ncnt_Create(int legnth, int* witdh, t_POLY *polynom, unsigned long *start);
void Ncnt_TclRegister(Tcl_Interp*);
#endif
